CRYPTO_CIPHER_DECRYP(9)

NAME
crypto_cipher_decrypt_one - decrypt one block of ciphertext

SYNOPSIS

void crypto_cipher_decrypt_one(struct crypto_cipher * tfm, u8 * dst, const u8 * src);

ARGUMENTS

tfm
    cipher handle

dst
    points to the buffer that will be filled with the plaintext

src
    buffer holding the ciphertext to be decrypted

DESCRIPTION

Invoke the decryption operation of one block. The caller must ensure that the plaintext and ciphertext buffers are at least one block in size.

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT